import { Gt as e, c as t } from "./dist-iLBdeBDR.js";
//#region ../../node_modules/.pnpm/@tiptap+extension-subscript@3.22.5_@tiptap+core@3.22.5_@tiptap+pm@3.22.5__@tiptap+pm@3.22.5/node_modules/@tiptap/extension-subscript/dist/index.js
var n = t.create({
	name: "subscript",
	addOptions() {
		return { HTMLAttributes: {} };
	},
	parseHTML() {
		return [{ tag: "sub" }, {
			style: "vertical-align",
			getAttrs(e) {
				return e === "sub" ? null : !1;
			}
		}];
	},
	renderHTML({ HTMLAttributes: t }) {
		return [
			"sub",
			e(this.options.HTMLAttributes, t),
			0
		];
	},
	addCommands() {
		return {
			setSubscript: () => ({ commands: e }) => e.setMark(this.name),
			toggleSubscript: () => ({ commands: e }) => e.toggleMark(this.name),
			unsetSubscript: () => ({ commands: e }) => e.unsetMark(this.name)
		};
	},
	addKeyboardShortcuts() {
		return { "Mod-,": () => this.editor.commands.toggleSubscript() };
	}
}), r = n;
//#endregion
export { n as Subscript, r as default };
